## class OSGFX_EXPORT osgFX::Cartoon

> This effect implements a technique called 'Cel-Shading' to produce a cartoon-style (non photorealistic) rendering.

## Inheritance:

### Public Methods

Cartoon()
Cartoon(const Cartoon &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)
META_Effect( osgFX, Cartoon, "Cartoon", "This effect implements a technique called 'Cel-Shading' to produce a " "cartoon-style (non photorealistic) rendering. Two passes are required: " "the first one draws solid surfaces, the second one draws the outlines. " "A vertex program is used to setup texture coordinates for a sharp lighting " "texture on unit 0 which is generated on-the-fly.\n" "This effect requires the ARB_vertex_program extension.", "Marco Jez")
inline const osg::Vec4& getOutlineColor() const
  get the outline color
inline void setOutlineColor(const osg::Vec4 &color)
  set the outline color
inline float getOutlineLineWidth() const
  get the outline line width
inline void setOutlineLineWidth(float w)
  set the outline line width
inline int getLightNumber() const
  get the OpenGL light number
inline void setLightNumber(int n)
  set the OpenGL light number that will be used in lighting computations

### Protected Methods

virtual ~Cartoon()
Cartoon& operator=(const Cartoon &)
bool define_techniques()

### Inherited from Effect:

### Public Methods

virtual inline bool isSameKindAs(const osg::Object* obj) const
virtual inline const char* libraryName() const
virtual inline const char* className() const
virtual const char* effectName() const
virtual const char* effectDescription() const
virtual const char* effectAuthor() const
inline virtual void setUpDemo()
virtual void traverse(osg::NodeVisitor &nv)
inline bool getEnabled() const
inline void setEnabled(bool v)
inline int getNumTechniques() const
inline Technique* getTechnique(int i)
inline const Technique* getTechnique(int i) const
inline int getSelectedTechnique() const
inline void selectTechnique(int i)
inline void addTechnique(Technique* tech)
inline void dirtyTechniques()
inline void inherited_traverse(osg::NodeVisitor &nv)

### Public Members

enum TechniqueSelection

## Documentation

> This effect implements a technique called 'Cel-Shading' to produce a cartoon-style (non photorealistic) rendering. Two passes are required: the first one draws solid surfaces, the second one draws the outlines. A vertex program is used to setup texture coordinates for a sharp lighting texture on unit 0 which is generated on-the-fly. This effect requires the ARB_vertex_program extension.

`Cartoon()`

`Cartoon(const Cartoon &copy, const osg::CopyOp &copyop = osg::CopyOp::SHALLOW_COPY)`

`META_Effect( osgFX, Cartoon, "Cartoon", "This effect implements a technique called 'Cel-Shading' to produce a " "cartoon-style (non photorealistic) rendering. Two passes are required: " "the first one draws solid surfaces, the second one draws the outlines. " "A vertex program is used to setup texture coordinates for a sharp lighting " "texture on unit 0 which is generated on-the-fly.\n" "This effect requires the ARB_vertex_program extension.", "Marco Jez")`

`virtual ~Cartoon()`

`Cartoon& operator=(const Cartoon &)`

`bool define_techniques()`

`inline const osg::Vec4& getOutlineColor() const`
  get the outline color

`inline void setOutlineColor(const osg::Vec4 &color)`
  set the outline color

`inline float getOutlineLineWidth() const`
  get the outline line width

`inline void setOutlineLineWidth(float w)`
  set the outline line width

`inline int getLightNumber() const`
  get the OpenGL light number

`inline void setLightNumber(int n)`
  set the OpenGL light number that will be used in lighting computations

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.